Support for 7th Generation CPUs?

Support for 7th Generation CPUs?

When will there be support for 7th generation CPUs with the Intel OpenCL SDK/runtime?  Code I have been running on an i7-6950X and on a i7-4800MQ is now unusable on an i9-7900X.

This is clearly an Intel issue, because the AMD APP SDK (3.0) is able to run the code on both processors as well as on GPU.  I have tried various combinations of SDKs and runtimes (16.1.1 and 14.2).  The platform/device is listed, but attempting to create a context fails.

Yes, I read the release notes for the 16.1.1 runtime that that says that 6th generation CPUs are supported and no mention of 7th generation.  However, it is somewhat amusing that AMD supports current Intel processors and Intel doesn't.

3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

(Most) 7th Generation processors should work fine.  I suspect the issue here is a special property of i9:  AVX-512.  

The main detail to look at with CPU implementation is instruction set support.  From the release notes:

OpenCL™ Runtime 16.1.1 provides optimizations for processors that support the following
instruction sets:

  • SSE4.2
  • AVX
  • AVX2

Work is in progress to address adding AVX-512 support for OpenCL, but it is not close enough to give any specifics on a timeline.  Previously this was only available in our (deprecated) OpenCL implementation for Xeon Phi.  If you like, please feel free to follow up with a private message ("send author a message" by my name in this reply).  There may be some pre-release options.   

Jeff,

Thanks for the info.  Given that I'll also be evaluating a Phi board in the near future, I'll have to look at what combination of drivers and SDK will work best.  I'd tried loading the deprecated SDK, but still got device unavailable results from the context creation call.

I can provide more information on the activity via PM, but I can't figure out a way to send one via this forum.  The only clickable items are your name/info, quote, and flag.

Hi Jeff,

I have installed the latest 16.1.1 runtime but get crash when trying to run the Luxmark 3.1 benchmark I have dual Gold 6154 CPUs. I suppose this is a driver issue are these processors not supported by this driver?

Thanks

Jerry

I have installed the latest 16.1.1 runtime but get crash when trying to run the Luxmark 3.1 benchmark I have dual Gold 6154 CPUs. I suppose this is a driver issue are these processors not supported by this driver?

Thanks

Jerry

Leave a Comment

Please sign in to add a comment. Not a member? Join today